
import defaultRenderPass from '../defaultRenderPass.js';
import sampler2D from '../sampler2D.js';
import shader from '../shader.js';

class convolution extends defaultRenderPass {

	prepare() {

		this.blend = true;
	
		this.shader = new shader();
		this.shader.createFromFile("shaders/edgeDetection.shader");

		this.shader.setUniform("res", [1 / this.viewport.width, 1 / this.viewport.height] );
		
		
		
	}

}

export {convolution as default};